package net.minecraft.network.protocol.game;

import net.minecraft.network.PacketListener;
import java.io.IOException;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraft.network.protocol.Packet;

public class ServerboundPaddleBoatPacket implements Packet<ServerGamePacketListener> {
    private boolean left;
    private boolean right;
    
    public ServerboundPaddleBoatPacket() {
    }
    
    public ServerboundPaddleBoatPacket(final boolean boolean1, final boolean boolean2) {
        this.left = boolean1;
        this.right = boolean2;
    }
    
    @Override
    public void read(final FriendlyByteBuf kv) throws IOException {
        this.left = kv.readBoolean();
        this.right = kv.readBoolean();
    }
    
    @Override
    public void write(final FriendlyByteBuf kv) throws IOException {
        kv.writeBoolean(this.left);
        kv.writeBoolean(this.right);
    }
    
    @Override
    public void handle(final ServerGamePacketListener pl) {
        pl.handlePaddleBoat(this);
    }
    
    public boolean getLeft() {
        return this.left;
    }
    
    public boolean getRight() {
        return this.right;
    }
}
